MethodSelectionException (Groovy 5.0.8)
Description: declaration: package: org.codehaus.groovy.runtime.metaclass, class: MethodSelectionException

Package org.codehaus.groovy.runtime.metaclass

# Class MethodSelectionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
org.codehaus.groovy.runtime.metaclass.MethodSelectionException

All Implemented Interfaces:
  `Serializable`

public class MethodSelectionException extends GroovyRuntimeException
This exception is thrown if the runtime is unable to select a method. This class builds the exception text when calling getMessage.

Note: This exception as for internal use only!

Since:
  Groovy 1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodSelectionException(String methodName, FastArray methods, Class[] arguments)`
  Creates a new MethodSelectionException.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessageWithoutLocationText, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MethodSelectionException

    public MethodSelectionException(String methodName, FastArray methods, Class[] arguments)
    Creates a new MethodSelectionException.
    Parameters:
      `methodName` - name of the method
      `methods` - a FastArray of methods
      `arguments` - the method call argument classes

- ## Method Details

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `GroovyRuntimeException`